<?php include 'header.php' ?>
<?php

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    include 'config.php';

    $username = $_POST['username'];
    $email = $_POST['email'];
    $password = $_POST['password'];

    if ($_FILES['image']['error'] === UPLOAD_ERR_OK) {
        $file_tmp = $_FILES['image']['tmp_name'];
        $file_name = $_FILES['image']['name'];
        move_uploaded_file($file_tmp, "assets/profile/$file_name");
        $image_sql = "image='$file_name', ";
    } else {
        $image_sql = "";
    }

    $update_clauses = [];

    if (!empty($username)) {
        $update_clauses[] = "username='$username'";
    }

    if (!empty($email)) {
        $update_clauses[] = "email='$email'";
    }

    if (!empty($password)) {
        $update_clauses[] = "password='$password'";
    }

    // Check if there are updates to perform
    if (!empty($update_clauses) || !empty($image_sql)) {
        $sql = "UPDATE admin SET ";
        $sql .= implode(', ', $update_clauses);

        if (!empty($image_sql)) {
            if (!empty($update_clauses)) {
                $sql .= ", ";
            }
            $sql .= $image_sql;
        }

        // Remove the trailing comma
        $sql = rtrim($sql, ', ');

        $sql .= " WHERE id=1";


        echo "Debug: SQL Query: " . $sql;

        if (mysqli_query($db, $sql)) {
            echo '<script>alert("Profile Updated Successfully");window.location.href="editprofile.php"</script>';
        } else {
            echo "Error updating record: " . mysqli_error($db);
        }
    } else {
        echo "No updates were made.";
    }

    mysqli_close($db);
}



?>

<div class="content-wrapper">
    <div class="col-xl">
        <div class="card mb-4">
            <div class="card-header d-flex justify-content-center align-items-center">
                <h5 class="mb-0">Edit Profile</h5>
            </div>
            <div class="card-body">
                <form action="" method="post" enctype="multipart/form-data">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label" for="basic-icon-default-fullname">User Name</label>
                                <div class="input-group input-group-merge">

                                    <input type="text" class="form-control" name="username" />
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label" for="basic-icon-default-company">Email</label>
                                <div class="input-group input-group-merge">

                                    <input type="email" class="form-control"
                                        name="email" />
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label" for="basic-icon-default-message">Password</label>
                                <div class="input-group input-group-merge">

                                    <input type="text" name="password" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label for="formFile" class="form-label">Profile Image</label>
                                <input class="form-control" type="file" id="image" name="image"
                                    onchange="galleryImage(this)" accept="image/*">
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-3">
                        <div class="form-group">
                            <label>Uploaded Image</label>
                            <img id="gall_img" src="" style="width:180px;">
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary" name="submit">Submit</button>
                </form>

            </div>
        </div>
    </div>
    <script type="text/javascript">
        function galleryImage(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#gall_img').attr('src', e.target.result);
                };
                reader.readAsDataURL(input.files[0]);
            }
        }
        document.getElementById('image').addEventListener('change', function () {
            var fileInput = this;
            var maxSize = 5 * 1024 * 1024; // 5MB

            if (fileInput.files.length > 0) {
                var file = fileInput.files[0];
                if (file.size > maxSize) {
                    alert('Image size exceeds 5MB. Please choose a smaller image.');
                    fileInput.value = '';
                }
            }
        });
    </script>

    <?php include 'footer.php' ?>