<?php include 'include/header.php' ?>

     <!-- Page Banner Start -->
     <div class="section page-banner-section" style="background-image: url(assets/images/bg/page-banner.jpg);">
            <div class="shape-1">
                <img src="assets/images/shape/shape-7.png" alt="">
            </div>
            <div class="shape-2">
                <img src="assets/images/shape/shape-1.png" alt="">
            </div>
            <div class="shape-3"></div>
            <div class="container">
                <div class="page-banner-wrap">
                    <div class="row">
                        <div class="col-lg-12">
                            <!-- Page Banner Content Start -->
                            <div class="page-banner text-center">
                                <h2 class="title">Courses</h2>
                                <ul class="breadcrumb justify-content-center">
                                    <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                    <li class="breadcrumb-item active" aria-current="page">Courses</li>
                                </ul>
                            </div>
                            <!-- Page Banner Content End -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page Banner End -->

        <!-- Blog Start -->
        <div class="section upstudy-blog-section section-padding">
            <div class="container">
                <!-- Latest Blog Wrap Start -->
                <div class="blog-wrap">

                    <div class="row">
                    <?php
                    include("admin/config.php");

                    $sql = "SELECT * FROM courses";
                    $result = $db->query($sql);

                    if ($result->num_rows > 0) {
                        while ($row = $result->fetch_assoc()) {
                            $imagePath = 'admin/assets/course/' . $row['image'];
                            $cname = $row["courses"];
                            $encodedSubmenu = urlencode($cname);
                            echo '<div class="col-lg-4 col-sm-6">
                            <!-- Latest Blog Item Start -->
                            <div class="single-blog text-center">
                                <div class="blog-img">
                                    <a href="course-detail.php/' . $encodedSubmenu . '"><img src="' . $imagePath . '" alt="Course"></a>
                                </div>
                                <hr>
                                        <p>Minimum Fees: ₹' . $row["minimumfees"] . '</p>
                                        
                                <div class="blog-content">
                                    <div class="blog-meta">
                                    <span class="font-xl"><strong>₹' . $row["cprice"] . '</strong> <del class="text-danger"> ₹' . $row["cmrp"] . '</del></span>
                                        <span><i class="far fa-calendar-alt"></i> ' . $row["courseduration"] . ' Months</span>
                                    </div>
                                    <h3 class="title"><a href="course-detail.php/' . $encodedSubmenu . '">' . $row["awards"] . ' In ' . $row["courses"] . '</a></h3>
                                    <a class="blog-btn" href="course-detail.php/' . $encodedSubmenu . '"> Read More</a>
                                </div>
                            </div>
                            <!-- Latest Blog Item End -->
                        </div>';
                    }
                } else {
                    echo "No Courses found.";
                }

               
                ?>
                       
                    </div>

                    
                </div>
                <!-- Blog Wrap End -->
            </div>
        </div>
        <!-- Blog End -->
        <?php include 'include/footer.php' ?>