<!-- Footer Start -->
<div class="footer-section section" style="background-color:<?php echo $fcolor; ?>">
    <div class="container">

        <!-- Footer Widget Wrapper Start -->
        <div class="footer-widget-wrap">
            <div class="row">

                <div class="col-lg-3 col-sm-6">
                    <!-- Footer Widget Start -->
                    <div class="footer-widget widget-about">
                        <div class="footer-logo">
                            <a href="index.php"><img src="<?php echo $logoImagePath; ?>" alt="Logo" width="220px"></a>
                        </div>
                        <p class="text">
                            <?php


                            // Fetch content from the home table
                            $stmt = $db->prepare("SELECT image, title, description FROM home");
                            $stmt->execute();
                            $stmt->bind_result($homeImage, $homeTitle, $homeDescription);
                            $stmt->fetch();
                            $stmt->close();
                            ?>
                        <p>
                            <?php
                            $wordsLimit = 22;

                            $words = explode(' ', $homeDescription);

                            $limitedWords = implode(' ', array_slice($words, 0, $wordsLimit));

                            echo $limitedWords;
                            ?>
                        </p>
                        <div class="widget-info">
                            <div class="info-icon">
                                <i class="flaticon-phone-call"></i>
                            </div>
                            <div class="info-text">
                                <p class="call-text">Call Us Free</p>
                                <a href="tel:+91458654528">
                                    <?php echo $phoneLink ?>
                                </a>
                            </div>
                        </div>
                    </div>
                    <!-- Footer Widget End -->
                </div>

                <div class="col-lg-3 col-sm-6">
                    <!-- Footer Widget Start -->
                    <div class="footer-widget">
                        <h4 class="footer-widget-title">Important Links:</h4>
                        <div class="widget-link">
                            <ul class="link">
                                <li>
                                    <a href="index.php" target="_self" title="link">Home</a>
                                </li>
                                <li>
                                    <a href="courses.php" target="_self" title="link">Courses</a>
                                <li>
                                    <a href="gallery.php" target="_self" title="link">Gallery</a>
                                </li>
                                <li>
                                    <a href="contact.php" target="_self" title="link">Contact Us</a>
                                </li>
                                <li>
                                    <a href="verify-certificate.php" target="_self" title="link">Verify Certificate</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <!-- Footer Widget End -->
                </div>

                <div class="col-lg-3 col-sm-6">
                    <!-- Footer Widget Start -->
                    <div class="footer-widget">
                        <h4 class="footer-widget-title">About Us:</h4>
                        <div class="widget-link">
                            <ul class="link">
                                <?php
                                include('admin/config.php');

                                $aboutUsSubMenuQuery = "SELECT submenu FROM menus WHERE menu = 'About Us'";
                                $aboutUsSubMenuResult = mysqli_query($db, $aboutUsSubMenuQuery);
                                while ($row = mysqli_fetch_assoc($aboutUsSubMenuResult)) {
                                    $submenu = $row['submenu'];
                                    $encodedSubmenu = urlencode($submenu);
                                    echo '<li>';
                                    echo '<a href="page-detail.php/' . $encodedSubmenu . '">' . $submenu . '</a>';
                                    echo '</li>';
                                }
                                ?>
                            </ul>
                        </div>
                    </div>
                    <!-- Footer Widget End -->
                </div>
                <div class="col-lg-3 col-sm-6">
                    <!-- Footer Widget Start -->
                    <div class="footer-widget">
                        <h4 class="footer-widget-title">Directions :</h4>
                        <div class="widget-download">
                            <?php echo stripslashes($iframe); ?>
                        </div>
                    </div>
                    <!-- Footer Widget End -->
                </div>
            </div>
        </div>
        <!-- Footer Widget Wrapper End -->

        <!-- Footer Copyright Start -->
        <div class="footer-copyright">
            <div class="copyright-wrapper">
                <div class="row align-items-center">
                    <div class="col-lg-6 col-md-6">
                        <?php
                        include 'admin/config.php';
                        $logoSql = "SELECT * FROM logo";
                        $logoResult = mysqli_query($db, $logoSql);
                        $logoRow = mysqli_fetch_assoc($logoResult);

                        ?>
                        <!-- Footer Copyright Text Start -->
                        <div class="copyright-text">
                            <p>© Copyright
                                <?php echo date('Y') ?>
                                <?php echo $logoRow['sitename'] ?> All rights reserved.
                            </p>
                        </div>
                        <!-- Footer Copyright Text End -->
                    </div>
                    <div class="col-lg-6 col-md-6">
                        <!-- Footer Copyright Social Start -->
                        <div class="copyright-social">
                            <ul class="social">
                                <li><a href="<?php echo $flink; ?>"><i class="fab fa-facebook-f"></i></a></li>
                                <li><a href="<?php echo $twitter; ?>"><i class="fab fa-twitter"></i></a></li>
                                <li><a href="<?php echo $linkedin; ?>"><i class="fab fa-linkedin-in"></i></a></li>
                                <li><a href="<?php echo $ylink; ?>"><i class="fab fa-youtube"></i></a></li>
                                <li><a href="<?php echo $telegram; ?>"><i class="fab fa-telegram"></i></a></li>
                                <li><a href="<?php echo $ilink; ?>"><i class="fab fa-instagram"></i></a></li>
                                <li><a href="whatsapp://send?phone=<?php echo $wno; ?>&text=I'd like to chat with you"><i class="fab fa-whatsapp"></i></a></li>
                            </ul>
                        </div>
                        <!-- Footer Copyright Social End -->
                    </div>
                </div>
            </div>
        </div>
        <!-- Footer Copyright End -->

    </div>
</div>
<!-- Footer End -->

<!-- back to top start -->
<div class="progress-wrap">
    <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
        <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" />
    </svg>
</div>
<!-- back to top end -->



</div>

<!-- JS
    ============================================ -->
<script src="assets/js/vendor/jquery-1.12.4.min.js"></script>
<script src="assets/js/vendor/modernizr-3.11.2.min.js"></script>

<!-- Bootstrap JS -->
<script src="assets/js/plugins/popper.min.js"></script>
<script src="assets/js/plugins/bootstrap.min.js"></script>

<!-- Plugins JS -->
<script src="assets/js/plugins/swiper-bundle.min.js"></script>
<script src="assets/js/plugins/aos.js"></script>
<script src="assets/js/plugins/waypoints.min.js"></script>
<script src="assets/js/plugins/jquery.counterup.min.js"></script>
<script src="assets/js/plugins/jquery.nice-select.min.js"></script>
<script src="assets/js/plugins/back-to-top.js"></script>
<script src="assets/js/plugins/jquery.powertip.min.js"></script>
<script src="assets/js/plugins/jquery.magnific-popup.min.js"></script>

<!-- jQuery -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<!-- Bootstrap JS -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/js/bootstrap.bundle.min.js"></script>

<!-- Main JS -->
<script src="assets/js/main.js"></script>
<script>

    $(document).ready(function () {
        $('#myModal').modal('show');
    });
</script>
</body>

</html>