<?php include_once('include/header.php'); ?>
<?php
include 'admin/config.php';

// Get the requested URL
$current_url = $_SERVER['REQUEST_URI'];

$parts = explode('/', $current_url);
$productname = end($parts);
$productname = urldecode($productname);

$sql = "SELECT * FROM pagedetails WHERE pagemenu = ?";
$stmt = $db->prepare($sql);
$stmt->bind_param("s", $productname);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    $row = $result->fetch_assoc();
    ?>

       <!-- Page Banner Start -->
       <div class="section page-banner-section" style="background-image: url(assets/images/bg/page-banner.jpg);">
            <div class="shape-1">
                <img src="assets/images/shape/shape-7.png" alt="">
            </div>
            <div class="shape-2">
                <img src="assets/images/shape/shape-1.png" alt="">
            </div>
            <div class="shape-3"></div>
            <div class="container">
                <div class="page-banner-wrap">
                    <div class="row">
                        <div class="col-lg-12">
                            <!-- Page Banner Content Start -->
                            <div class="page-banner text-center">
                                <h2 class="title"><?php echo htmlspecialchars($row["title"]); ?></h2>
                                <ul class="breadcrumb justify-content-center">
                                    <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                    <li class="breadcrumb-item active" aria-current="page"><?php echo htmlspecialchars($row["pagemenu"]); ?></li>
                                </ul>
                            </div>
                            <!-- Page Banner Content End -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page Banner End -->

        <!-- Blog Details Start -->
        <div class="section blog-details-section section-padding">
            <div class="container">
                <!-- Blog Details Wrap Start -->
                <div class="blog-details-wrap">
                    <div class="row">
                        <div class="col-lg-8">
                            <!-- Blog Details Post Start -->
                            <div class="blog-details-post">
                            <?php
                    echo isset($row["description"]) ? $row["description"] : 'Page Details Not Found';
                    ?>
                            </div>
                            <!-- Blog Details Post End -->
                        </div>
                        <div class="col-lg-4">
                            <!-- Blog Sidebar Start -->
                            <div class="blog-sidebar">
                                

                                <!-- Sidebar Widget Start -->
                                <div class="sidebar-widget">
                                    <!-- Widget Title Start -->
                                    <div class="widget-title">
                                        <h3 class="title">About Us</h3>
                                    </div>
                                    <!-- Widget Title End -->
                                    <!-- Widget Category Start -->
                                    <ul class="category">
                                    <?php
                            include('admin/config.php');

                            $aboutUsSubMenuQuery = "SELECT submenu FROM menus";
                            $aboutUsSubMenuResult = mysqli_query($db, $aboutUsSubMenuQuery);
                            while ($roww = mysqli_fetch_assoc($aboutUsSubMenuResult)) {
                                $submenu = $roww['submenu'];
                                $encodedSubmenu = urlencode($submenu);
                                echo '<li class="cate-item">';
                                echo '<a href="page-detail.php/' . $encodedSubmenu . '"><i class="flaticon-next"></i>' . $submenu . '</a>';
                                echo '</li><hr>';
                            }
                            ?>
                                        
                                    </ul>
                                    <!-- Widget Category End -->
                                </div>
                                <!-- Sidebar Widget End -->

                            </div>
                            <!-- Blog Sidebar End -->
                        </div>
                    </div>
                </div>
                <!-- Blog Details Wrap End -->
            </div>
        </div>
        <!-- Blog Details End -->

        <?php
} else {
    ?>
     <!-- Page Banner Start -->
     <div class="section page-banner-section" style="background-image: url(assets/images/bg/page-banner.jpg);">
            <div class="shape-1">
                <img src="assets/images/shape/shape-7.png" alt="">
            </div>
            <div class="shape-2">
                <img src="assets/images/shape/shape-1.png" alt="">
            </div>
            <div class="shape-3"></div>
            <div class="container">
                <div class="page-banner-wrap">
                    <div class="row">
                        <div class="col-lg-12">
                            <!-- Page Banner Content Start -->
                            <div class="page-banner text-center">
                                <h2 class="title"><?php  echo $productname ?></h2>
                                <ul class="breadcrumb justify-content-center">
                                    <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                    <li class="breadcrumb-item active" aria-current="page"><?php  echo $productname ?></li>
                                </ul>
                            </div>
                            <!-- Page Banner Content End -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page Banner End -->

        <!-- Blog Details Start -->
        <div class="section blog-details-section section-padding">
            <div class="container">
                <!-- Blog Details Wrap Start -->
                <div class="blog-details-wrap">
                    <div class="row">
                        <div class="col-lg-8">
                            <!-- Blog Details Post Start -->
                            <div class="blog-details-post">
                                <p>Course Details Not Found!!</p>
                            </div>
                            <!-- Blog Details Post End -->
                        </div>
                        <div class="col-lg-4">
                            <!-- Blog Sidebar Start -->
                            <div class="blog-sidebar">
                                
                                <!-- Sidebar Widget Start -->
                                <div class="sidebar-widget">
                                    <!-- Widget Title Start -->
                                    <div class="widget-title">
                                        <h3 class="title">About Us</h3>
                                    </div>
                                    <!-- Widget Title End -->
                                    <!-- Widget Category Start -->
                                    <ul class="category">
                                    <?php
                            include('admin/config.php');

                            $aboutUsSubMenuQuery = "SELECT submenu FROM menus";
                            $aboutUsSubMenuResult = mysqli_query($db, $aboutUsSubMenuQuery);
                            while ($roww = mysqli_fetch_assoc($aboutUsSubMenuResult)) {
                                $submenu = $roww['submenu'];
                                $encodedSubmenu = urlencode($submenu);
                                echo '<li class="cate-item">';
                                echo '<a href="page-detail.php/' . $encodedSubmenu . '"><i class="flaticon-next"></i>' . $submenu . '</a>';
                                echo '</li><hr>';
                            }
                            ?>
                                    </ul>
                                    <!-- Widget Category End -->
                                </div>
                                <!-- Sidebar Widget End -->

                            </div>
                            <!-- Blog Sidebar End -->
                        </div>
                    </div>
                </div>
                <!-- Blog Details Wrap End -->
            </div>
        </div>
        <!-- Blog Details End -->
<?php
}

$stmt->close();
include_once('include/footer.php');
?>
