<?php
include_once('include/header.php');
include_once('admin/config.php');

$registrationMessage = '';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $registrationNumber = $_POST['studentname'];

    $query = "SELECT * FROM result WHERE studentname = ?";
    $stmt = $db->prepare($query);

    if ($stmt) {
        $stmt->bind_param("s", $registrationNumber);
        $stmt->execute();
        $result = $stmt->get_result();
        $studentData = $result->fetch_assoc();

        if ($studentData) {
            echo "<script>
                window.location.href = 'generate-result.php?idresult=" . $studentData['studentname'] . "';
            </script>";
            exit();
        } else {
            $registrationMessage = '<p><ul>
                <li>Your Result is Not out yet!</li>
                <li>Wrong Registration Number</li>
                <li class="text-danger">Please Enter Correct Registration Number</li>
            </ul>.</p>';
        }

        $stmt->close();
    } else {
        echo "Error in the statement.";
    }
}

?>
<!-- Page Banner Start -->
<div class="section page-banner-section" style="background-image: url(assets/images/bg/page-banner.jpg);">
    <div class="shape-1">
        <img src="assets/images/shape/shape-7.png" alt="">
    </div>
    <div class="shape-2">
        <img src="assets/images/shape/shape-1.png" alt="">
    </div>
    <div class="shape-3"></div>
    <div class="container">
        <div class="page-banner-wrap">
            <div class="row">
                <div class="col-lg-12">
                    <!-- Page Banner Content Start -->
                    <div class="page-banner text-center">
                        <h2 class="title">Verfiy Certificate</h2>
                        <ul class="breadcrumb justify-content-center">
                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Verfiy Certificate</li>
                        </ul>
                    </div>
                    <!-- Page Banner Content End -->
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Page Banner End -->

<!-- Login & Register Start -->
<div class="section login-register-section section-padding">
    <div class="container">

        <!-- Login & Register Wrapper Start -->
        <div class="login-register-wrap">
            <div class="row gx-5 justify-content-center">
                <div class="col-lg-6">

                    <!-- Login & Register Box Start -->
                    <div class="login-register-box">
                        <!-- Section Title Start -->
                        <div class="section-title text-center">
                            <h2 class="title">Verfiy Certificate</h2>
                        </div>
                        <!-- Section Title End -->

                        <div class="login-register-form">
                            <form action="" method="post">
                                <div class="single-form">
                                    <input type="text" class="form-control" name="studentname" id="regno"
                                        placeholder="Enter Registeration Number ">
                                </div>

                                <div class="form-btn">
                                    <button type="submit" class="btn">Search</button>
                                </div>

                            </form>
                        </div>
                       <div class="mt-2 text-center">
                       <?php echo $registrationMessage; ?>
                       </div> 
                    </div>
                    <!-- Login & Register Box End -->

                </div>
            </div>
        </div>
        <!-- Login & Register Wrapper End -->

    </div>
</div>
<!-- Login & Register End -->
<?php include 'include/footer.php'; ?>