<?php

include 'header.php';
include 'config.php';
$sql = "SELECT * FROM pagedetails";
$result = mysqli_query($db, $sql);

if (mysqli_num_rows($result) > 0) {
    $getAllSlider = mysqli_fetch_all($result, MYSQLI_ASSOC);
} else {
    $getAllSlider = array();
}

// Insertion logic
if (isset($_POST['addproductbtn'])) {
    $pagemenu = mysqli_real_escape_string($db, $_POST['pagemenu']);
    $title = mysqli_real_escape_string($db, $_POST['title']);
    $description = mysqli_real_escape_string($db, $_POST['description']);
    
    $checkQuery = "SELECT * FROM pagedetails WHERE pagemenu = '$pagemenu'";
    $checkResult = mysqli_query($db, $checkQuery);

    if (mysqli_num_rows($checkResult) > 0) {
        echo '<script>
        alert("Page Already Exists.");
        setTimeout(function() {
            window.location.href = "add-page-details.php";
        }, 100); 
    </script>';
        exit();
    }
    $added_on = date("Y-m-d H:i:s");

    $insertQuery = "INSERT INTO pagedetails (pagemenu, title , description, added_on) VALUES ('$pagemenu', '$title', '$description','$added_on')";


    if (mysqli_query($db, $insertQuery)) {


        echo '<script>
            alert("Page Details Have Been Succefully added.");
            window.location.href = "add-page-details.php";
        </script>';


    } else {
        echo '<script>
        alert("Something went wrong while inserting the record.");
        window.location.href = "add-page-details.php";
    </script>';

    }

}

// Deletion Logic
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];

    $stmt = $db->prepare("DELETE FROM pagedetails WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if ($stmt->execute()) {
        echo '<script>
        window.location.href = "add-page-details.php"; 
        </script>';
    } else {
        echo "Error deleting record: " . $stmt->error;
    }

    $stmt->close();
}


// Update Logic
if (isset($_POST['updateproductbtn'])) {
    $idEdID = $_POST['id'];
    if (!is_numeric($idEdID)) {
        echo '<script>
          alert("Invalid product ID.");
          setTimeout(function() {
              window.location.href = "add-page-details.php";
          }, 100); 
      </script>';
        exit();
    }

    $productId = mysqli_real_escape_string($db, $idEdID);
    $sql = "SELECT * FROM pagedetails WHERE id = $productId";
    $result = mysqli_query($db, $sql);

    if ($result && mysqli_num_rows($result) > 0) {
        $getProductEdit = mysqli_fetch_assoc($result);
    } else {
        echo '<script>
          alert("Product record not found.");
          setTimeout(function() {
              window.location.href = "add-page-details.php";
          }, 100); 
      </script>';
        exit();
    }

    $pagemenu = mysqli_real_escape_string($db, $_POST['pagemenu']);
    $title = mysqli_real_escape_string($db, $_POST['title']);
    $description = mysqli_real_escape_string($db, $_POST['description']);
    
    $checkQuery = "SELECT id FROM pagedetails WHERE pagemenu = '$pagemenu' AND id != $productId";
    $category = mysqli_real_escape_string($db, $_POST['pagemenu']);

    $checkResult = mysqli_query($db, $checkQuery);

    if (mysqli_num_rows($checkResult) > 0) {
        echo '<script>
        alert("Same Page Already Exists.");
        setTimeout(function() {
            window.location.href = "add-page-details.php";
        }, 100); 
    </script>';
        exit();
    }
   
    $updateQuery = "UPDATE pagedetails SET pagemenu = '$pagemenu', title = '$title', description = '$description' WHERE id = $productId";

    if (mysqli_query($db, $updateQuery)) {
        echo '<script>
          alert("Record has been updated successfully.");
          setTimeout(function() {
              window.location.href = "add-page-details.php";
          }, 100); 
      </script>';
        exit();
    } else {
        echo '<script>
          alert("Something went wrong while updating the record.");
          setTimeout(function() {
              window.location.href = "add-page-details.php";
          }, 100); 
      </script>';
        exit();
    }
}

?>
<!-- Content wrapper -->
<div class="content-wrapper">
    <!-- Content -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <?php
                if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
                    $idEdit = $_GET['idEdit'];

                    $filmId = mysqli_real_escape_string($db, $idEdit);
                    $sql = "SELECT * FROM pagedetails WHERE id = $filmId";
                    $result = mysqli_query($db, $sql);

                    if ($result && mysqli_num_rows($result) > 0) {
                        $getFilmEdit = mysqli_fetch_assoc($result);
                    }
                    ?>

                    <div class="card card-primary card-outline">
                        <div class="card-header" data-card-widget="collapse">
                            <h3 class="card-title">Update Page Content</h3>

                            <div class="card-tools">
                                <button type="button" class="btn btn-tool">
                                    <i class="fas fa-plus"></i>
                                </button>
                            </div>
                        </div>
                        <div class="card-body p-4" style="display: block;">
                            <form action="add-page-details.php" method="post" enctype="multipart/form-data">
                                <input type="hidden" name="id" value="<?php echo $getFilmEdit['id']; ?>" required>
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>Select Page</label>
                                            <select name="pagemenu" class="js-example-basic-single">
    <?php
    
    $menuQuery = "SELECT DISTINCT submenu FROM menus";
    $menuResult = mysqli_query($db, $menuQuery);

    while ($row = mysqli_fetch_assoc($menuResult)) {
        $menuValue = $row['submenu'];
        $isSelected = ($getFilmEdit['pagemenu'] == $menuValue) ? 'selected' : '';

        echo '<option value="' . htmlspecialchars($menuValue) . '" ' . $isSelected . '>'
             . htmlspecialchars($menuValue) . '</option>';
    }
    ?>
</select>

                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>Title</label>
                                            <input type="text" class="form-control" name="title"
                                                value="<?php echo $getFilmEdit['title']; ?>">
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="col-12 mt-3">
                                        <div class="form-group">
                                            <label>Page Details</label>
                                            <textarea class="form-control" name="description" rows="5"
                                                id="compose-textarea"><?php echo $getFilmEdit['description']; ?></textarea>
                                        </div>
                                    </div>
                                </div>

                                <div class="card-footer">
                                    <button type="submit" name="updateproductbtn" class="btn btn-info float-right"><i
                                            class="fa fa-floppy-o"></i> Update</button>
                                    <a href="add-page-details.php" class="btn btn-default"><i class="fa fa-refresh"></i>
                                        Reset</a>
                                </div>
                            </form>

                        </div>
                    <?php } else { ?>
                        <div class="container-fluid">
                            <div class="card card-primary card-outline">
                                <div class="card-header" data-card-widget="collapse">
                                    <h3 class="card-title">Manage Page Content</h3>

                                </div>
                                <div class="card-body p-4" style="display: block;">
                                    <form action="add-page-details.php" method="post" enctype="multipart/form-data">
                                        <div class="row">
                                            <div class="col-sm-6 mt-3">
                                                <div class="form-group">
                                                    <label>Select Menu</label>
                                                    <select name="pagemenu" class="js-example-basic-single" required>
                                                       
                                                    <?php
                    
                    $menuQuery = "SELECT DISTINCT submenu FROM menus";
                    $menuResult = mysqli_query($db, $menuQuery);

                    
                    while ($row = mysqli_fetch_assoc($menuResult)) {
                        echo '<option value="' . $row['submenu'] . '">' . $row['submenu'] . '</option>';
                    }
                    ?>
                                                    </select>

                                                </div>
                                            </div>

                                            <div class="col-sm-6 mt-3">
                                                <div class="form-group">
                                                    <label>Page Title</label>
                                                    <input type="text" class="form-control" name="title" required>
                                                </div>
                                            </div>

                                        </div>
                                        <hr style="margin-bottom: -10px !important;">
                                        <hr>
                                        <div class="row">

                                            <div class="col-12 mt-3">
                                                <div class="form-group">
                                                    <label>Page Description</label>
                                                    <textarea class="form-control" name="description" rows="20" required
                                                        id="compose-textarea"></textarea>
                                                </div>
                                            </div>


                                        </div>

                                </div>
                                <div class="card-footer">
                                    <button type="submit" name="addproductbtn" class="btn btn-info float-right"><i
                                            class="fa fa-floppy-o">
                                        </i> Save</button>
                                </div>
                                </form>

                            </div>
                        </div>

                        <div class="container-fluid pt-4">



                            <div class="card card-primary card-outline">
                                <div class="card-header">
                                    <h3 class="card-title">View Pages </h3>
                                </div>
                                <form action="" method="post" enctype="multipart/form-data">
                                    <div class="card-body table-responsive p-0" style="min-height: 300px;">
                                        <table class="table table-head-fixed text-nowrap">
                                            <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>Menu Name</th>
                                                    <th>Title</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php $iiDD = 1;
                                                foreach ($getAllSlider as $key => $values) { ?>
                                                    <tr>
                                                        <td>
                                                            <?php echo $iiDD++; ?>
                                                        </td>
                                                        <td>
                                                            <?php echo $values['pagemenu']; ?>
                                                        </td>

                                                        <td>
                                                            <?php echo $values['title']; ?>
                                                        </td>

                                                        <td>
                                                            <div class="dropdown">
                                                                <button type="button" class="btn p-0 dropdown-toggle hide-arrow"
                                                                    data-bs-toggle="dropdown"><i
                                                                        class="bx bx-dots-vertical-rounded"></i></button>
                                                                <div class="dropdown-menu">
                                                                    <a class="dropdown-item"
                                                                        href="add-page-details.php?idEdit=<?php echo $values['id']; ?>"
                                                                        title="Update"><i class="bx bx-edit-alt me-1"></i>
                                                                        Edit
                                                                    </a>
                                                                   
                                                                    <a class="dropdown-item deleteitems" href="add-page-details.php?id=<?php echo $values['id']; ?>&delete=true" title="Delete"><i class="bx bx-trash me-1"></i>Delete</a>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </form>
                                <!-- /.card -->
                            </div>
                        </div>
                    <?php } ?>


                    <!-- /.col -->
                </div>
                <!-- /.row -->
            </div>
            <!-- / Content -->
            <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>
    const deleteItems = document.querySelectorAll('.deleteitems');

    deleteItems.forEach(function (element) {
        element.addEventListener('click', function (event) {
            event.preventDefault();
            return swal({
                title: "Are you sure?",
                text: "Once deleted, you will not be able to recover this Data!",
                icon: "warning",
                buttons: true,
                dangerMode: true,
            }).then((willDelete) => {
                if (willDelete) {
                    window.location.href = this.getAttribute("href");
                } else {
                    swal("Your Data is safe!");
                }
            });
        });
    });
</script>
            <?php include 'footer.php' ?>