<?php
include 'admin/config.php';
$logoSql = "SELECT * FROM logo";
$logoResult = mysqli_query($db, $logoSql);
$logoRow = mysqli_fetch_assoc($logoResult);

$logoImagePath = !empty($logoRow['image']) ? "admin/assets/logo/{$logoRow['image']}" : '';
$faviconImagePath = !empty($logoRow['favicon']) ? "admin/assets/logo/{$logoRow['favicon']}" : '';
?>
<?php
$colorSql = "SELECT * FROM color";
$colorResult = mysqli_query($db, $colorSql);
$colorRow = mysqli_fetch_assoc($colorResult);

$defaultHColor = '#30C2EC';
$defaultFColor = '#a5a5597d';

$hcolor = !empty($colorRow['hcolor']) ? $colorRow['hcolor'] : $defaultHColor;
$fcolor = !empty($colorRow['fcolor']) ? $colorRow['fcolor'] : $defaultFColor;

?>
<?php
$socialLinksSql = "SELECT * FROM socialinks LIMIT 1";
$socialLinksResult = mysqli_query($db, $socialLinksSql);
$socialLinksRow = mysqli_fetch_assoc($socialLinksResult);
$phoneLink = $socialLinksRow['phone'] ?? null;
$emailLink = $socialLinksRow['email'] ?? null;
$addressLink = $socialLinksRow['address'] ?? null;
$telegram = $socialLinksRow['telegram'] ?? null;
$twitter = $socialLinksRow['twitter'] ?? null;
$linkedin = $socialLinksRow['linkedin'] ?? null;
$ilink = $socialLinksRow['ilink'] ?? null;
$flink = $socialLinksRow['flink'] ?? null;
$ylink = $socialLinksRow['ylink'] ?? null;
$iframe = $socialLinksRow['iframe'] ?? null;
$city = $socialLinksRow['city'] ?? null;
$wno = $socialLinksRow['wno'] ?? null;
?>
<!doctype html>
<html class="no-js" lang="en">

<head>
    <base href="https://mrcomputercenter.in/demo4/">
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>
        <?php echo $logoRow['sitename'] ?>| Best Computer Training Institutes in
        <?php echo $city; ?>
    </title>
    <meta name="description"
        content="<?php echo $logoRow['sitename'] ?> is one of the Best Computer Training Institute in  <?php echo $city; ?>. <?php echo $logoRow['sitename'] ?> offers all the latest and advanced courses like ADCA, DCA, and Tally with GST">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Favicon -->
    <link rel="shortcut icon" href="<?php echo $faviconImagePath; ?>" type="image/x-icon">

    <!-- CSS
    ============================================ -->

    <!-- Icon Font CSS -->
    <link rel="stylesheet" href="assets/css/plugins/all.min.css">
    <link rel="stylesheet" href="assets/css/plugins/flaticon.css">

    <!-- Plugins CSS -->
    <link rel="stylesheet" href="assets/css/plugins/bootstrap.min.css">
    <link rel="stylesheet" href="assets/css/plugins/swiper-bundle.min.css">
    <link rel="stylesheet" href="assets/css/plugins/aos.css">
    <link rel="stylesheet" href="assets/css/plugins/nice-select.css">
    <link rel="stylesheet" href="assets/css/plugins/jquery.powertip.min.css">
    <link rel="stylesheet" href="assets/css/plugins/magnific-popup.css">

    <!-- Main Style CSS -->
    <link rel="stylesheet" href="assets/css/style.css">


</head>

<body>

    <div class="main-wrapper">


        <!-- Preloader start -->
        <div id="preloader">
            <div class="preloader">
                <span></span>
                <span></span>
            </div>
        </div>
        <!-- Preloader End -->

        <!-- Header Start  -->
        <div class="section header header-section-02" style="background-color:<?php echo $hcolor; ?>">

            <div class="header-bottom-section">

                <div class="container">
                    <div class="header-bottom-wrap">

                        <!--  Header Logo Start  -->
                        <div class="header-logo">
                            <a href="index.php"><img src="<?php echo $logoImagePath; ?>" alt="logo" width="120px"></a>
                        </div>
                        <!--  Header Logo End  -->

                        <!--  Header Menu Start  -->
                        <div class="header-menu d-none d-lg-block">
                            <ul class="main-menu">
                                <li><a href="index.php">Home</a></li>

                                <li><a href="javascript:void()">About Us </a>
                                    <ul class="sub-menu">
                                        <?php
                                        include('admin/config.php');

                                        $aboutUsSubMenuQuery = "SELECT submenu FROM menus WHERE menu = 'About Us'";
                                        $aboutUsSubMenuResult = mysqli_query($db, $aboutUsSubMenuQuery);
                                        while ($row = mysqli_fetch_assoc($aboutUsSubMenuResult)) {
                                            $submenu = $row['submenu'];
                                            $encodedSubmenu = urlencode($submenu);
                                            echo '<li>';
                                            echo '<a href="page-detail.php/' . $encodedSubmenu . '">' . $submenu . '</a>';
                                            echo '</li>';
                                        }
                                        ?>
                                    </ul>
                                </li>
                                <li><a href="courses.php">Courses</a></li>

                                <li><a href="javascript:void()">Media Center</a>
                                    <ul class="sub-menu">
                                        <li><a href="gallery.php">Gallery</a></li>
                                        <li><a href="videos.php">Video</a></li>
                                    </ul>
                                </li>
                                <li><a href="contact.php">Contact</a></li>
                            </ul>
                        </div>
                        <!--  Header Menu End  -->


                        <!-- Header Meta Start -->
                        <div class="header-meta">

                            <div class="header-login d-none d-lg-block">
                                <a class="link" href="verify-certificate.php"><i class="far fa-user"></i> Verify Certificate</a>
                            </div>

                           
                            <div class="header-toggle d-lg-none">
                                <button data-bs-toggle="offcanvas" data-bs-target="#offcanvasMenu">
                                    <span></span>
                                    <span></span>
                                    <span></span>
                                </button>
                            </div>

                        </div>
                        <!-- Header Meta End -->

                    </div>
                </div>


            </div>
        </div>
        <!-- Header End -->


        <!-- Offcanvas Start -->
        <div class="offcanvas offcanvas-start" id="offcanvasMenu">

            <div class="offcanvas-header">
                <!-- Offcanvas Logo Start -->
                <div class="offcanvas-logo">
                    <a href="index.html"><img src="assets/images/logo-white.png" alt=""></a>
                </div>
                <!-- Offcanvas Logo End -->

                <button type="button" class="close-btn" data-bs-dismiss="offcanvas"><i
                        class="flaticon-close"></i></button>

            </div>
            <div class="offcanvas-body">
                <div class="offcanvas-menu">
                    <ul class="main-menu">
                    <li><a href="index.php">Home</a></li>

<li><a href="javascript:void()">About Us </a>
    <ul class="sub-menu">
        <?php
        include('admin/config.php');

        $aboutUsSubMenuQuery = "SELECT submenu FROM menus WHERE menu = 'About Us'";
        $aboutUsSubMenuResult = mysqli_query($db, $aboutUsSubMenuQuery);
        while ($row = mysqli_fetch_assoc($aboutUsSubMenuResult)) {
            $submenu = $row['submenu'];
            $encodedSubmenu = urlencode($submenu);
            echo '<li>';
            echo '<a href="page-detail.php/' . $encodedSubmenu . '">' . $submenu . '</a>';
            echo '</li>';
        }
        ?>
    </ul>
</li>
<li><a href="courses.php">Courses</a></li>

<li><a href="javascript:void()">Media Center</a>
    <ul class="sub-menu">
        <li><a href="gallery.php">Gallery</a></li>
        <li><a href="videos.php">Video</a></li>
    </ul>
</li>
<li><a href="contact.php">Contact</a></li>
<li><a href="verify-certificate.php">Verify Certificate</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <!-- Offcanvas End -->